Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.autoscaling.model
Class AutoScalingGroup

    java.lang.Object
      com.amazonaws.services.autoscaling.model.AutoScalingGroup

    public class AutoScalingGroup

extends Object

The AutoScalingGroup data type.

Constructor Summary
`AutoScalingGroup()`

Method Summary
`String` | `getAutoScalingGroupName()` Specifies the name of the group.
`List<String>` | `getAvailabilityZones()` Contains a list of availability zones for the group.
`Integer` | `getCooldown()` The number of seconds after a scaling activity completes before any further scaling activities can start.
`Date` | `getCreatedTime()` Specifies the date and time the Auto Scaling group was created.
`Integer` | `getDesiredCapacity()` Specifies the desired capacity for the AutoScalingGroup.
`List<Instance>` | `getInstances()` Provides a summary list of EC2 instances.
`String` | `getLaunchConfigurationName()` Specifies the name of the associated LaunchConfiguration.
`List<String>` | `getLoadBalancerNames()`
`Integer` | `getMaxSize()` Contains the maximum size of the AutoScalingGroup.
`Integer` | `getMinSize()` Contains the minimum size of the AutoScalingGroup.
`void` | `setAutoScalingGroupName(String autoScalingGroupName)` Specifies the name of the group.
`void` | `setAvailabilityZones(Collection<String> availabilityZones)` Contains a list of availability zones for the group.
`void` | `setCooldown(Integer cooldown)` The number of seconds after a scaling activity completes before any further scaling activities can start.
`void` | `setCreatedTime(Date createdTime)` Specifies the date and time the Auto Scaling group was created.
`void` | `setDesiredCapacity(Integer desiredCapacity)` Specifies the desired capacity for the AutoScalingGroup.
`void` | `setInstances(Collection<Instance> instances)` Provides a summary list of EC2 instances.
`void` | `setLaunchConfigurationName(String launchConfigurationName)` Specifies the name of the associated LaunchConfiguration.
`void` | `setLoadBalancerNames(Collection<String> loadBalancerNames)`
`void` | `setMaxSize(Integer maxSize)` Contains the maximum size of the AutoScalingGroup.
`void` | `setMinSize(Integer minSize)` Contains the minimum size of the AutoScalingGroup.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`AutoScalingGroup` | `withAutoScalingGroupName(String autoScalingGroupName)` Specifies the name of the group.
`AutoScalingGroup` | `withAvailabilityZones(Collection<String> availabilityZones)` Contains a list of availability zones for the group.
`AutoScalingGroup` | `withAvailabilityZones(String... availabilityZones)` Contains a list of availability zones for the group.
`AutoScalingGroup` | `withCooldown(Integer cooldown)` The number of seconds after a scaling activity completes before any further scaling activities can start.
`AutoScalingGroup` | `withCreatedTime(Date createdTime)` Specifies the date and time the Auto Scaling group was created.
`AutoScalingGroup` | `withDesiredCapacity(Integer desiredCapacity)` Specifies the desired capacity for the AutoScalingGroup.
`AutoScalingGroup` | `withInstances(Collection<Instance> instances)` Provides a summary list of EC2 instances.
`AutoScalingGroup` | `withInstances(Instance... instances)` Provides a summary list of EC2 instances.
`AutoScalingGroup` | `withLaunchConfigurationName(String launchConfigurationName)` Specifies the name of the associated LaunchConfiguration.
`AutoScalingGroup` | `withLoadBalancerNames(Collection<String> loadBalancerNames)` Returns a reference to this object so that method calls can be chained together.
`AutoScalingGroup` | `withLoadBalancerNames(String... loadBalancerNames)` Returns a reference to this object so that method calls can be chained together.
`AutoScalingGroup` | `withMaxSize(Integer maxSize)` Contains the maximum size of the AutoScalingGroup.
`AutoScalingGroup` | `withMinSize(Integer minSize)` Contains the minimum size of the AutoScalingGroup.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AutoScalingGroup

    public AutoScalingGroup()

Method Detail

### getAutoScalingGroupName

    public String getAutoScalingGroupName()

  Specifies the name of the group.

  Constraints:
  Length: 1 - 100
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Specifies the name of the group.

### setAutoScalingGroupName

    public void setAutoScalingGroupName(String autoScalingGroupName)

  Specifies the name of the group.

  Constraints:
  Length: 1 - 100
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `autoScalingGroupName` - Specifies the name of the group.

### withAutoScalingGroupName

    public AutoScalingGroup withAutoScalingGroupName(String autoScalingGroupName)

  Specifies the name of the group.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 100
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `autoScalingGroupName` - Specifies the name of the group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLaunchConfigurationName

    public String getLaunchConfigurationName()

  Specifies the name of the associated LaunchConfiguration.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Specifies the name of the associated LaunchConfiguration.

### setLaunchConfigurationName

    public void setLaunchConfigurationName(String launchConfigurationName)

  Specifies the name of the associated LaunchConfiguration.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `launchConfigurationName` - Specifies the name of the associated LaunchConfiguration.

### withLaunchConfigurationName

    public AutoScalingGroup withLaunchConfigurationName(String launchConfigurationName)

  Specifies the name of the associated LaunchConfiguration.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `launchConfigurationName` - Specifies the name of the associated LaunchConfiguration.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMinSize

    public Integer getMinSize()

  Contains the minimum size of the AutoScalingGroup.

  Returns:
    Contains the minimum size of the AutoScalingGroup.

### setMinSize

    public void setMinSize(Integer minSize)

  Contains the minimum size of the AutoScalingGroup.

  Parameters:
    `minSize` - Contains the minimum size of the AutoScalingGroup.

### withMinSize

    public AutoScalingGroup withMinSize(Integer minSize)

  Contains the minimum size of the AutoScalingGroup.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `minSize` - Contains the minimum size of the AutoScalingGroup.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMaxSize

    public Integer getMaxSize()

  Contains the maximum size of the AutoScalingGroup.

  Returns:
    Contains the maximum size of the AutoScalingGroup.

### setMaxSize

    public void setMaxSize(Integer maxSize)

  Contains the maximum size of the AutoScalingGroup.

  Parameters:
    `maxSize` - Contains the maximum size of the AutoScalingGroup.

### withMaxSize

    public AutoScalingGroup withMaxSize(Integer maxSize)

  Contains the maximum size of the AutoScalingGroup.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `maxSize` - Contains the maximum size of the AutoScalingGroup.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDesiredCapacity

    public Integer getDesiredCapacity()

  Specifies the desired capacity for the AutoScalingGroup.

  Returns:
    Specifies the desired capacity for the AutoScalingGroup.

### setDesiredCapacity

    public void setDesiredCapacity(Integer desiredCapacity)

  Specifies the desired capacity for the AutoScalingGroup.

  Parameters:
    `desiredCapacity` - Specifies the desired capacity for the AutoScalingGroup.

### withDesiredCapacity

    public AutoScalingGroup withDesiredCapacity(Integer desiredCapacity)

  Specifies the desired capacity for the AutoScalingGroup.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `desiredCapacity` - Specifies the desired capacity for the AutoScalingGroup.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCooldown

    public Integer getCooldown()

  The number of seconds after a scaling activity completes before any further scaling activities can start.

  Returns:
    The number of seconds after a scaling activity completes before any further scaling activities can start.

### setCooldown

    public void setCooldown(Integer cooldown)

  The number of seconds after a scaling activity completes before any further scaling activities can start.

  Parameters:
    `cooldown` - The number of seconds after a scaling activity completes before any further scaling activities can start.

### withCooldown

    public AutoScalingGroup withCooldown(Integer cooldown)

  The number of seconds after a scaling activity completes before any further scaling activities can start.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `cooldown` - The number of seconds after a scaling activity completes before any further scaling activities can start.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAvailabilityZones

    public List<String> getAvailabilityZones()

  Contains a list of availability zones for the group.

  Constraints:
  Length: 1 -

  Returns:
    Contains a list of availability zones for the group.

### setAvailabilityZones

    public void setAvailabilityZones(Collection<String> availabilityZones)

  Contains a list of availability zones for the group.

  Constraints:
  Length: 1 -

  Parameters:
    `availabilityZones` - Contains a list of availability zones for the group.

### withAvailabilityZones

    public AutoScalingGroup withAvailabilityZones(String... availabilityZones)

  Contains a list of availability zones for the group.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 -

  Parameters:
    `availabilityZones` - Contains a list of availability zones for the group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withAvailabilityZones

    public AutoScalingGroup withAvailabilityZones(Collection<String> availabilityZones)

  Contains a list of availability zones for the group.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 -

  Parameters:
    `availabilityZones` - Contains a list of availability zones for the group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLoadBalancerNames

    public List<String> getLoadBalancerNames()

  Returns:

### setLoadBalancerNames

    public void setLoadBalancerNames(Collection<String> loadBalancerNames)

  Parameters:
    `loadBalancerNames` -

### withLoadBalancerNames

    public AutoScalingGroup withLoadBalancerNames(String... loadBalancerNames)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `loadBalancerNames` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withLoadBalancerNames

    public AutoScalingGroup withLoadBalancerNames(Collection<String> loadBalancerNames)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `loadBalancerNames` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstances

    public List<Instance> getInstances()

  Provides a summary list of EC2 instances.

  Returns:
    Provides a summary list of EC2 instances.

### setInstances

    public void setInstances(Collection<Instance> instances)

  Provides a summary list of EC2 instances.

  Parameters:
    `instances` - Provides a summary list of EC2 instances.

### withInstances

    public AutoScalingGroup withInstances(Instance... instances)

  Provides a summary list of EC2 instances.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instances` - Provides a summary list of EC2 instances.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withInstances

    public AutoScalingGroup withInstances(Collection<Instance> instances)

  Provides a summary list of EC2 instances.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instances` - Provides a summary list of EC2 instances.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCreatedTime

    public Date getCreatedTime()

  Specifies the date and time the Auto Scaling group was created.

  Returns:
    Specifies the date and time the Auto Scaling group was created.

### setCreatedTime

    public void setCreatedTime(Date createdTime)

  Specifies the date and time the Auto Scaling group was created.

  Parameters:
    `createdTime` - Specifies the date and time the Auto Scaling group was created.

### withCreatedTime

    public AutoScalingGroup withCreatedTime(Date createdTime)

  Specifies the date and time the Auto Scaling group was created.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `createdTime` - Specifies the date and time the Auto Scaling group was created.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.